Elektra: Data Fields - Functions

Elektra 0.8.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Typedefs

- a
- c
- d
- e
- g
- h
- i
- k
- l
- n
- o
- p
- r
- s
- t
- ~

### - a -

- activate() : kdb::Context
- addBaseName() : kdb::Key
- append() : kdb::KeySet
- at() : kdb::KeySet
- attachByName() : kdb::Context

### - c -

- clear() : kdb::Key , kdb::KeySet
- close() : kdb::KDB
- copy() : kdb::Key , kdb::KeySet
- copyAllMeta() : kdb::Key
- copyMeta() : kdb::Key
- current() : kdb::KeySet
- currentMeta() : kdb::Key
- cut() : kdb::KeySet

### - d -

- delMeta() : kdb::Key
- dup() : kdb::Key , kdb::KeySet

### - e -

- evaluate() : kdb::Context

### - g -

- get() : kdb::KDB , kdb::Key
- getBaseName() : kdb::Key
- getBaseNameSize() : kdb::Key
- getBinary() : kdb::Key
- getBinarySize() : kdb::Key
- getCursor() : kdb::KeySet
- getFullName() : kdb::Key
- getFullNameSize() : kdb::Key
- getFunc() : kdb::Key
- getKey() : kdb::Key
- getKeySet() : kdb::KeySet
- getMeta() : kdb::Key
- getName() : kdb::Key
- getNameSize() : kdb::Key
- getNamespace() : kdb::Key
- getReferenceCounter() : kdb::Key
- getString() : kdb::Key
- getStringSize() : kdb::Key
- getValue() : kdb::Key

### - h -

- hasMeta() : kdb::Key
- head() : kdb::KeySet

### - i -

- isBelow() : kdb::Key
- isBelowOrSame() : kdb::Key
- isBinary() : kdb::Key
- isDirectBelow() : kdb::Key
- isInactive() : kdb::Key
- isNull() : kdb::Key
- isString() : kdb::Key
- isSystem() : kdb::Key
- isUser() : kdb::Key
- isValid() : kdb::Key

### - k -

- KDB() : kdb::KDB
- Key() : kdb::Key
- KeySet() : kdb::KeySet

### - l -

- lookup() : kdb::KeySet

### - n -

- needSync() : kdb::Key
- next() : kdb::KeySet
- nextMeta() : kdb::Key

### - o -

- open() : kdb::KDB
- operator bool() : kdb::Key
- operator!=() : kdb::Key
- operator*() : kdb::Key
- operator++() : kdb::Key
- operator--() : kdb::Key
- operator->() : kdb::Key
- operator<() : kdb::Key
- operator<=() : kdb::Key
- operator=() : kdb::Key , kdb::KeySet
- operator==() : kdb::Key
- operator>() : kdb::Key
- operator>=() : kdb::Key
- operator[]() : kdb::Context

### - p -

- pop() : kdb::KeySet

### - r -

- release() : kdb::Key , kdb::KeySet
- rewind() : kdb::KeySet
- rewindMeta() : kdb::Key

### - s -

- set() : kdb::KDB , kdb::Key
- setBaseName() : kdb::Key
- setBinary() : kdb::Key
- setCursor() : kdb::KeySet
- setKeySet() : kdb::KeySet
- setMeta() : kdb::Key
- setName() : kdb::Key
- setString() : kdb::Key
- size() : kdb::Context , kdb::KeySet

### - t -

- tail() : kdb::KeySet

### - ~ -

- ~KDB() : kdb::KDB
- ~Key() : kdb::Key
- ~KeySet() : kdb::KeySet